package com.lvwan.mobile110.activity

import android.os.Bundle
import android.text.InputFilter
import android.text.method.DigitsKeyListener
import android.view.View
import com.common.activity.TActivity
import com.common.net.HttpResponseListener
import com.lvwan.config.ErrorCode
import com.lvwan.mobile110.R
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.entity.bean.common.LWBean
import com.lvwan.mobile110.entity.event.CarTransFinishEvent
import com.lvwan.mobile110.entity.event.WZCXEvent
import com.lvwan.mobile110.net.RequestManager
import com.lvwan.util.DialogUtils
import com.lvwan.util.LuaUtils
import kotlinx.android.synthetic.main.activity_move_car.*
import org.greenrobot.eventbus.EventBus
import org.jetbrains.anko.onClick
import org.jetbrains.anko.startActivity

/**
 *
 * Created by wangdong on 17/5/11.
 */

class CarTransActivity : TActivity() {


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_move_car)
        val carId = intent.getIntExtra(CBundle.ID, 0)
        val plateNo = intent.getStringExtra(CBundle.CAR_NO)
        car_num_text.setText(plateNo)
        val filters = arrayOfNulls<InputFilter>(2)
        filters.set(0, InputFilter.AllCaps())
        filters.set(1, DigitsKeyListener.getInstance(getString(R.string.up_letter_digits)))
        car_trans_id.filters = filters
        car_trans_vin.filters = filters
        car_trans_eng.filters = filters
        btn_move.onClick { postTransInfo(carId) }


    }

    fun postTransInfo(carId: Int) {
        loading.visibility = View.VISIBLE
        RequestManager.instance().postCarTransInfo(carId, car_trans_vin.text.toString(),
                car_trans_eng.text.toString(), car_trans_id.text.toString(),
                object : HttpResponseListener<LWBean<Any>> {
                    override fun onSuccess(bean: LWBean<Any>) {
                        if (bean.error == ErrorCode.ERR_LUA_FAIL) {
                            LuaUtils.requestLuaKey({ postTransInfo(carId) })
                            return
                        }
                        if (bean.errorToast()) {
                            loading.visibility = View.GONE
                            return
                        }
                        EventBus.getDefault().post(WZCXEvent())
                        EventBus.getDefault().post(CarTransFinishEvent())
                        DialogUtils.showSimpleDialog2(this@CarTransActivity,
                                getString(R.string.car_trans), { _, _ ->finish()})
                        loading.visibility = View.GONE
                    }

                    override fun onFail(e: Throwable?) {
                        loading.visibility = View.GONE
                    }
                })
    }

}
