package com.lvwan.mobile110.activity

import android.widget.TextView

import com.common.activity.BindingActivity
import com.common.activity.TActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.databinding.ActivityDeblockingBinding
import com.lvwan.mobile110.entity.event.DeblockingCheckingEvent
import com.lvwan.mobile110.entity.event.DeblockingEvent
import com.lvwan.mobile110.viewmodel.DeblockingViewModel
import com.lvwan.mobile110.viewmodel.CommonTagViewModel
import com.zhy.view.flowlayout.TagView

import org.greenrobot.eventbus.EventBus
import org.greenrobot.eventbus.Subscribe

/**
 *
 * Created by wangdong on 16/10/25.
 */

@LayoutId(R.layout.activity_deblocking)
class DeblockingActivity : BindingActivity<DeblockingViewModel, ActivityDeblockingBinding>() {

    fun clearNumberSelect() {
        for (i in 0..binding.deblockingNumberLayout.childCount - 1) {
            val tagView = binding.deblockingNumberLayout.getChildAt(i) as TagView
            val tv = tagView.getChildAt(0) as TextView
            val viewModel = tv.tag as CommonTagViewModel
            tv.isSelected = false
            viewModel.setSelect(false)
        }
    }

    fun showDialog() {
        TActivity.start(this, DeblockingCheckingActivity::class.java)
        EventBus.getDefault().post(DeblockingCheckingEvent())
        finish()
    }


    @Subscribe
    fun onPlatformEditInput(@Suppress("UNUSED_PARAMETER") event: DeblockingEvent) {
        viewModel.makeAllPlatforms()
    }
}
