package com.lvwan.mobile110.activity

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import com.common.activity.TActivity
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.event.FaceEvent
import com.lvwan.mobile110.entity.event.FaceExitEvent
import com.lvwan.mobile110.net.RequestManager
import com.lvwan.util.Base64Utils
import kotlinx.android.synthetic.main.activity_face_check.*
import org.greenrobot.eventbus.EventBus


/**
 * Created by wangdong on 16/11/30.

 */

class FaceCheckActivity : TActivity() {


    fun onFaceCheck() {
        startActivityForResult(Intent(this, com.megvii.livenesslib.LivenessActivity::class.java), PAGE_INTO_LIVENESS)
    }

    public override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_face_check)
        start_face_check_btn.setOnClickListener { onFaceCheck() }
    }

    public override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if (requestCode == PAGE_INTO_LIVENESS && resultCode == Activity.RESULT_OK && data != null) {
            val bundle = data.getBundleExtra("result")
            if (bundle.getBoolean("success")) {
                val imageBytes = bundle.getByteArray("imageBytes") ?: return
                finish()
                val card = intent.getStringExtra("card").trim { it <= ' ' }
                val name = intent.getStringExtra("name").trim { it <= ' ' }
                RequestManager.instance().postAuthenticationData2({ EventBus.getDefault().post(FaceEvent()) }, card, name, Base64Utils.encode(imageBytes))
            } else {
                if (bundle.getBoolean("exit")) {
                    EventBus.getDefault().post(FaceExitEvent())
                    finish()
                }
            }
        }
    }

    companion object {

        private val PAGE_INTO_LIVENESS = 102

        fun start(activity: Activity, name: String, card: String) {
            val intent = Intent(activity, FaceCheckActivity::class.java)
            intent.putExtra("name", name)
            intent.putExtra("card", card)
            activity.startActivity(intent)
        }
    }
}
