package com.lvwan.mobile110.activity

import android.app.Activity
import android.content.Intent
import android.graphics.BitmapFactory
import android.os.Bundle
import android.view.View
import com.common.activity.TActivity
import com.lvwan.mobile110.R
import com.lvwan.util.FileUtils
import com.lvwan.util.PreferenceHelper
import com.lvwan.util.ScreenUtils
import kotlinx.android.synthetic.main.activity_face_edit.*

/**
 *
 * Created by wangdong on 17/2/4.
 */

class FaceEditActivity : TActivity() {


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_face_edit)
        face_edit_iv.setOutput(400, 400)
        face_edit_iv.setOffset(-ScreenUtils.dip2px(50f))
        UserIdCardChooseImageActivity.startForResult(this, REQUEST_CODE_IMAGE)
        if (PreferenceHelper.showFaceMark()) {
            PreferenceHelper.hideFaceMark()
            face_mark.visibility = View.VISIBLE
        }

        face_edit_ok.setOnClickListener { onEditOk() }
        face_edit_cancel.setOnClickListener { finish() }
        face_mark.setOnClickListener { onClickMark() }
    }

    public override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if (requestCode == REQUEST_CODE_IMAGE && Activity.RESULT_OK == resultCode && data != null) {
            val filePath = data.getStringExtra(UserIdCardChooseImageActivity.KEY_DATA)
            face_edit_iv.imageBitmap = BitmapFactory.decodeFile(filePath)
        } else {
            finish()
        }
    }

    fun onEditOk() {
        val path = FileUtils.tempFile()
        face_edit_iv.saveCroppedIamge(path)
        val intent = Intent()
        intent.putExtra(UserIdCardChooseImageActivity.KEY_DATA, path)
        setResult(Activity.RESULT_OK, intent)
        finish()
    }

    fun onClickMark() {
        face_mark.visibility = View.GONE
    }

    companion object {

        private val REQUEST_CODE_IMAGE = 110
    }
}
