package com.lvwan.mobile110.activity

import android.app.Fragment
import android.app.FragmentManager
import android.os.Bundle
import android.support.v13.app.FragmentPagerAdapter
import com.common.activity.TActivity
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.event.GuardChooseEvent
import com.lvwan.mobile110.entity.event.GuardSetEvent
import com.lvwan.mobile110.fragment.*
import kotlinx.android.synthetic.main.activity_guide_detail.*
import org.greenrobot.eventbus.Subscribe
import java.util.*

/**
 *
 * Created by wangdong on 17/3/1.
 */
class GuardActivity : TActivity() {



    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_guard)
        val adapter = FragmentAdapter(fragmentManager)
        val time = GuardTimeFragment()
        val trip = GuardTripFragment()
        val friend = GuardFriendFragment()
        adapter.addFragment(time, title0)
        adapter.addFragment(trip, title1)
        adapter.addFragment(friend, title2)
        guard_viewpager.adapter = adapter
        guard_tab_layout.addTab(guard_tab_layout.newTab().setText(title0))
        guard_tab_layout.addTab(guard_tab_layout.newTab().setText(title1))
        guard_tab_layout.addTab(guard_tab_layout.newTab().setText(title2))
        guard_tab_layout.setupWithViewPager(guard_viewpager)
        guard_viewpager.currentItem = 1
    }

    internal inner class FragmentAdapter(fm: FragmentManager) : FragmentPagerAdapter(fm) {
        private val fragments = ArrayList<Fragment>()
        private val titles = ArrayList<String>()

        fun addFragment(fragment: Fragment, title: String) {
            fragments.add(fragment)
            titles.add(title)
        }

        override fun getItem(position: Int): Fragment {
            return fragments[position]
        }

        override fun getCount(): Int {
            return fragments.size
        }

        override fun getPageTitle(position: Int): CharSequence {
            return titles[position]
        }
    }


    companion object {
        val title0 = "计时"
        val title1 = "出行"
        val title2 = "亲友"
    }
}