package com.lvwan.mobile110.activity

import android.app.Fragment
import android.app.FragmentManager
import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.support.v13.app.FragmentPagerAdapter
import com.common.activity.TActivity
import com.lvwan.mobile110.R
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.entity.bean.GuideDetailBean
import com.lvwan.mobile110.fragment.GuideDetailFlowFragment
import com.lvwan.mobile110.fragment.GuideDetailInfoFragment
import com.lvwan.mobile110.fragment.GuideDetailLinkFragment
import com.lvwan.mobile110.net.RequestManager
import kotlinx.android.synthetic.main.activity_guide_detail.*
import java.util.*


/**
 *
 * Created by wangdong on 16/12/9.
 */

class GuideDetailActivity : TActivity() {


    var detaiInfo: GuideDetailBean? = null
        private set

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_guide_detail)

        val guideId = intent.getStringExtra(CBundle.GUIDEID)
        RequestManager.instance().getGuideDetail(guideId) { bean ->
            detaiInfo = bean
            val adapter = FragmentAdapter(fragmentManager)
            val info = GuideDetailInfoFragment()
            val flow = GuideDetailFlowFragment()
            val link = GuideDetailLinkFragment()
            adapter.addFragment(info, title0)
            adapter.addFragment(flow, title1)
            adapter.addFragment(link, title2)
            guard_viewpager.adapter = adapter
            guard_tab_layout.addTab(guard_tab_layout.newTab().setText(title0))
            guard_tab_layout.addTab(guard_tab_layout.newTab().setText(title1))
            guard_tab_layout.addTab(guard_tab_layout.newTab().setText(title2))
            guard_tab_layout.setupWithViewPager(guard_viewpager)
        }

    }


    internal inner class FragmentAdapter(fm: FragmentManager) : FragmentPagerAdapter(fm) {
        private val fragments = ArrayList<Fragment>()
        private val titles = ArrayList<String>()

        fun addFragment(fragment: Fragment, title: String) {
            fragments.add(fragment)
            titles.add(title)
        }

        override fun getItem(position: Int): Fragment {
            return fragments[position]
        }

        override fun getCount(): Int {
            return fragments.size
        }

        override fun getPageTitle(position: Int): CharSequence {
            return titles[position]
        }
    }

    companion object {

        val title0 = "基本信息"
        val title1 = "办事流程"
        val title2 = "所需材料"

        fun start(context: Context, guideId: String) {
            val intent = Intent(context, GuideDetailActivity::class.java)
            intent.putExtra(CBundle.GUIDEID, guideId)
            context.startActivity(intent)
        }
    }


}
