package com.lvwan.mobile110.activity

import android.os.Bundle
import android.support.v7.widget.RecyclerView
import com.common.activity.BindingActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.databinding.ActivityImmigrationBinding
import com.lvwan.mobile110.entity.event.ImmigrationHistoryEvent
import com.lvwan.mobile110.entity.event.LoginEvent
import com.lvwan.mobile110.stat.Action
import com.lvwan.mobile110.stat.ActionId
import com.lvwan.mobile110.stat.Module
import com.lvwan.mobile110.stat.ModuleId
import com.lvwan.mobile110.viewmodel.ImmigrationViewModel
import com.lvwan.util.ScreenUtils
import com.lvwan.util.ViewUtils
import kotlinx.android.synthetic.main.activity_immigration.*
import org.greenrobot.eventbus.Subscribe


/**
 *
 * Created by wangdong on 16/11/30.
 */

@ModuleId(Module.CRJ)
@ActionId(Action.CRJ)
@LayoutId(R.layout.activity_immigration)
class ImmigrationActivity : BindingActivity<ImmigrationViewModel, ActivityImmigrationBinding>() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val titleH = resources.getDimension(R.dimen.common_titlebar_height).toInt()
        val bannerH = resources.getDimension(R.dimen.home_banner_height).toInt()

        // set titlebar height
        immi_titlebar.layoutParams.height = ScreenUtils.statusbarheight + titleH
        immi_titlebar_bg.alpha = 0.0f
        immi_title.alpha = 0.0f
        immi_titlebar.requestLayout()

        // set scroll listener

        immi_recyclerView.addOnScrollListener(object: RecyclerView.OnScrollListener(){

            override fun onScrolled(recyclerView: RecyclerView?, dx: Int, dy: Int) {
                val deltaY = ViewUtils.getScollYDistance(recyclerView)
                val alpha = deltaY * 1.0f / bannerH
                immi_titlebar_bg.alpha = alpha
                immi_title.alpha = alpha
            }
        })

        immigration_login.setOnClickListener { LoginActivity.start(this) }

    }


    @Subscribe
    fun onRefresh(@Suppress("UNUSED_PARAMETER") event: ImmigrationHistoryEvent) {
        viewModel.requestHistory()
    }

    @Subscribe
    fun onLogin(event: LoginEvent) {
        if (event.event == LoginEvent.SUCCESS) {
            viewModel.setLogin(true)
            viewModel.requestHistory()
        }
    }


}