package com.lvwan.mobile110.activity

import android.databinding.generated.callback.OnClickListener
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.PopupWindow
import android.widget.TextView

import com.common.activity.BindingActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.databinding.ActivityImmigrationInputBinding
import com.lvwan.mobile110.fragment.WarningFragment
import com.lvwan.mobile110.viewmodel.ImmigrationInputViewModel

/**
 *
 * Created by wangdong on 16/11/30.
 */

@LayoutId(R.layout.activity_immigration_input)
class ImmigrationInputActivity : BindingActivity<ImmigrationInputViewModel, ActivityImmigrationInputBinding>() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    fun showWarning() {
        WarningFragment.show2(this)
    }

    fun showPopupWindow() {
        val view = LayoutInflater.from(this).inflate(R.layout.immigration_pop_window, null)
        view.layoutParams = ViewGroup.LayoutParams(ViewGroup.LayoutParams.WRAP_CONTENT, ViewGroup.LayoutParams.WRAP_CONTENT)
        val popupWindow = PopupWindow(view, ViewGroup.LayoutParams.WRAP_CONTENT, ViewGroup.LayoutParams.WRAP_CONTENT, true)
        popupWindow.showAsDropDown(binding.popupwindowStub)

        val foreign = view.findViewById(R.id.immigration_type_foreign) as TextView
        val local = view.findViewById(R.id.immigration_type_local) as TextView
        val tw = view.findViewById(R.id.immigration_type_tw) as TextView
        val hk = view.findViewById(R.id.immigration_type_hk) as TextView


        val selectListener = View.OnClickListener { v ->
            val type = (v as TextView).text.toString()
            viewModel.setType(type)
            popupWindow.dismiss()
        }


        foreign.setOnClickListener(selectListener)
        local.setOnClickListener(selectListener)
        tw.setOnClickListener(selectListener)
        hk.setOnClickListener(selectListener)
    }
}