package com.lvwan.mobile110.activity

import android.app.Activity
import android.content.Intent

import com.common.activity.BindingActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.databinding.ActivityImmigrationProcessBinding
import com.lvwan.mobile110.entity.bean.ImmigrationProgressBean
import com.lvwan.mobile110.viewmodel.ImmigrationProcessViewModel

/**
 *
 * Created by wangdong on 16/11/30.
 */

@LayoutId(R.layout.activity_immigration_process)
class ImmigrationProgressActivity : BindingActivity<ImmigrationProcessViewModel, ActivityImmigrationProcessBinding>() {

    override fun createViewModel(): ImmigrationProcessViewModel {
        val bean = intent.getParcelableExtra<ImmigrationProgressBean>(CBundle.BEAN)
        return ImmigrationProcessViewModel(this, bean)
    }

    companion object {

        fun start(activity: Activity, data: ImmigrationProgressBean) {
            val intent = Intent(activity, ImmigrationProgressActivity::class.java)
            intent.putExtra(CBundle.BEAN, data)
            activity.startActivity(intent)
        }
    }

}