package com.lvwan.mobile110.activity

import android.app.Activity
import android.content.Context
import android.content.Intent
import android.os.Bundle

import com.common.activity.BindingActivity
import com.common.activity.TActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.databinding.ActivityLicenseDetailBinding
import com.lvwan.mobile110.entity.bean.LicenseDetailBean
import com.lvwan.mobile110.entity.event.LicenseFreshEvent
import com.lvwan.mobile110.viewmodel.LicensePointDetailViewModel
import kotlinx.android.synthetic.main.activity_license_detail.*
import kotlinx.android.synthetic.main.activity_license_manager.*

import org.greenrobot.eventbus.Subscribe


/**
 * 驾照记分详情
 *
 * Created by wangdong on 16/8/26.
 */

@LayoutId(R.layout.activity_license_detail)
class LicensePointDetailActivity : BindingActivity<LicensePointDetailViewModel, ActivityLicenseDetailBinding>() {




    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        license_detail_person.setOnClickListener { goLicenses() }
    }

    fun goLicenses() {
        TActivity.start(this, LicenseManagerActivity::class.java)
    }


    @Subscribe
    fun onFresh(event: LicenseFreshEvent) {
        viewModel.requestByQid(event.qid)
    }

    companion object {

        fun start(context: Context, bean: LicenseDetailBean) {
            val intent = Intent(context, LicensePointDetailActivity::class.java)
            intent.flags = Intent.FLAG_ACTIVITY_CLEAR_TOP
            intent.putExtra(CBundle.LICENSE_DETAIL_BEAN, bean)
            context.startActivity(intent)
        }

        fun start(context: Context, qid: String) {
            val intent = Intent(context, LicensePointDetailActivity::class.java)
            intent.flags = Intent.FLAG_ACTIVITY_CLEAR_TOP
            intent.putExtra(CBundle.ID, qid)
            context.startActivity(intent)
        }
    }


}
