package com.lvwan.mobile110.activity

import android.app.Activity
import android.content.Intent
import android.os.Bundle

import com.common.activity.TActivity
import com.lvwan.mobile110.R
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.entity.event.GuideQueryEvent
import com.lvwan.mobile110.fragment.HomeFragment
import com.lvwan.mobile110.fragment.LocationFragment

import org.greenrobot.eventbus.Subscribe

/**

 * Created by wangdong on 17/1/14.
 */

class LocationActivity : TActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_location)

        val fragment = LocationFragment()
        val bundle = Bundle()
        bundle.putBoolean(CBundle.ALL, true)
        fragment.arguments = bundle

        fragmentManager
                .beginTransaction()
                .replace(R.id.fragment_container, fragment)
                .commitAllowingStateLoss()
    }

    @Subscribe
    fun onSelected(event: GuideQueryEvent) {
        val intent = Intent()
        intent.putExtra(CBundle.CITY, event.area)
        setResult(Activity.RESULT_OK, intent)
        finish()
    }


    companion object {
        val CITY_REQUEST_CODE = 100
    }
}
