package com.lvwan.mobile110.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle

import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.common.activity.BindingActivity
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.databinding.ActivityMotDetailBinding
import com.lvwan.mobile110.entity.bean.MOTAddrsBean
import com.lvwan.util.ThirdAppUtils
import kotlinx.android.synthetic.main.activity_mot_detail.*


/**
 * 车辆年检详情
 *
 *
 * Created by wangdong on 16/8/3.
 */
@LayoutId(R.layout.activity_mot_detail)
class MOTDetailActivity : BindingActivity<MOTAddrsBean, ActivityMotDetailBinding>() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        mot_layout_detail_call.setOnClickListener { onCall() }
        mot_layout_go.setOnClickListener { onMap() }
        mot_layout_detail_addr.setOnClickListener { onMap() }
    }

    override fun createViewModel(): MOTAddrsBean {
        return intent.getParcelableExtra<MOTAddrsBean>(CBundle.MOT_DETAIL)
    }


    fun onCall() {
        ThirdAppUtils.call(binding.addrsBean.phone)
    }

    fun onMap() {
        val bean = binding.addrsBean
        ThirdAppUtils.map(bean.lat, bean.lng, bean.addr)
    }

    companion object {

        fun start(context: Context, detail: MOTAddrsBean) {
            val intent = Intent(context, MOTDetailActivity::class.java)
            intent.putExtra(CBundle.MOT_DETAIL, detail)
            context.startActivity(intent)
        }
    }


}
