package com.lvwan.mobile110.activity

import android.os.Bundle
import android.text.Editable
import android.text.TextWatcher
import android.view.View
import com.common.activity.TActivity
import com.common.net.HttpResponseListener
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.bean.PayResultBean
import com.lvwan.mobile110.entity.bean.common.LWBean
import com.lvwan.mobile110.entity.bean.common.SidBean
import com.lvwan.mobile110.net.RequestManager
import kotlinx.android.synthetic.main.activity_paycode_input.*
import org.jetbrains.anko.onClick
import rx.Observable
import java.util.concurrent.TimeUnit

/**
 *
 * Created by wangdong on 17/4/10.
 */

class PayCodeInputActivity : TActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_paycode_input)

        code_input.addTextChangedListener(object : TextWatcher {
            override fun afterTextChanged(s: Editable?) {
                btn_ok.isEnabled = !s.isNullOrEmpty()
            }

            override fun beforeTextChanged(s: CharSequence?, start: Int, count: Int, after: Int) {
            }

            override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {
            }

        })

        btn_ok.onClick { requestSid(code_input.text.toString()) }
    }

    private fun requestSid(code: String) {
        loading.setVisibility(View.VISIBLE)
        RequestManager.instance().requestPaySid(code, object : HttpResponseListener<LWBean<SidBean>> {
            override fun onSuccess(lwBean: LWBean<SidBean>) {
                lwBean.data?.sid?.let {
                    requestUrl(it)
                    return
                }
                lwBean.errorToast()
                loading.setVisibility(View.GONE)
            }

            override fun onFail(e: Throwable?) {
                loading.setVisibility(View.GONE)
            }


        })
    }

    private fun requestUrl(sid: String) {
        RequestManager.instance().requestPayResult(sid, object : HttpResponseListener<LWBean<PayResultBean>> {
            override fun onSuccess(lwBean: LWBean<PayResultBean>) {
                if (lwBean.isNotReady) {
                    // polling
                    Observable.just(sid).delay(1, TimeUnit.SECONDS).subscribe { requestUrl(it) }

                } else if (lwBean.data != null) {
                    WebActivity.start(this@PayCodeInputActivity, lwBean.data.payUrl, getString(R.string.immigration_pay_title))
                    finish()
                } else {
                    lwBean.errorToast()
                    loading.setVisibility(View.GONE)
                }
            }

            override fun onFail(e: Throwable?) {
                loading.setVisibility(View.GONE)
            }


        })
    }



}
