package com.lvwan.mobile110.activity

import android.content.Context
import android.content.Intent

import com.common.activity.BindingActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.databinding.ActivityVisaAddrBinding
import com.lvwan.mobile110.databinding.ActivityVisaInputBinding
import com.lvwan.mobile110.viewmodel.VisaAddrViewModel

/**
 *
 * Created by wangdong on 16/11/29.
 */

@LayoutId(R.layout.activity_visa_addr)
class VisaAddrActivity : BindingActivity<VisaAddrViewModel, ActivityVisaAddrBinding>() {

    override fun createViewModel(): VisaAddrViewModel {
        val sender = intent.getBooleanExtra(CBundle.VSIA_SENDER, false)
        val name = intent.getStringExtra(CBundle.NAME)
        val phone = intent.getStringExtra(CBundle.PHONE)
        val addr = intent.getStringExtra(CBundle.ADDR)
        val addr2 = intent.getStringExtra(CBundle.ADDR2)
        return VisaAddrViewModel(this, sender, name, phone, addr, addr2)
    }

    companion object {


        fun start(context: Context, sender: Boolean, name: String, phone: String, addr: String, addr2: String) {
            val intent = Intent(context, VisaAddrActivity::class.java)
            intent.putExtra(CBundle.VSIA_SENDER, sender)
            intent.putExtra(CBundle.NAME, name)
            intent.putExtra(CBundle.PHONE, phone)
            intent.putExtra(CBundle.ADDR, addr)
            intent.putExtra(CBundle.ADDR2, addr2)
            context.startActivity(intent)
        }
    }
}
