package com.lvwan.mobile110.activity

import android.app.Activity
import android.content.Intent

import com.common.activity.BindingActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.databinding.ActivityVisaPostBinding
import com.lvwan.mobile110.entity.bean.VisaDetailBean
import com.lvwan.mobile110.entity.event.LoginEvent
import com.lvwan.mobile110.entity.event.VisaAddrEvent
import com.lvwan.mobile110.viewmodel.VisaPostViewModel
import com.lvwan.mobile110.R

import org.greenrobot.eventbus.Subscribe

/**
 *
 * Created by wangdong on 16/11/28.
 */

@LayoutId(R.layout.activity_visa_post)
class VisaPostActivity : BindingActivity<VisaPostViewModel, ActivityVisaPostBinding>() {

    override fun createViewModel(): VisaPostViewModel {
        val bean = intent.getParcelableExtra<VisaDetailBean>(CBundle.BEAN)
        return VisaPostViewModel(this, bean)
    }

    @Subscribe
    fun onSelectAddr(event: VisaAddrEvent) {
        viewModel.onSelectAddr(event)
    }

    companion object {

        fun start(activity: Activity, data: VisaDetailBean) {
            val intent = Intent(activity, VisaPostActivity::class.java)
            intent.putExtra(CBundle.BEAN, data)
            activity.startActivity(intent)
        }
    }
}
