package com.lvwan.mobile110.activity

import android.app.Activity
import android.content.Intent
import android.os.Bundle

import com.common.activity.BindingActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.databinding.ActivityVisaResultBinding
import com.lvwan.mobile110.entity.bean.VisaDetailBean
import com.lvwan.mobile110.entity.bean.VisaResultBean
import com.lvwan.mobile110.entity.event.IdCardEvent
import com.lvwan.mobile110.entity.event.VisaCondEvent
import com.lvwan.mobile110.entity.event.VisaFinishEvent
import com.lvwan.mobile110.viewmodel.VisaPostViewModel
import com.lvwan.mobile110.viewmodel.VisaResultViewModel

import org.greenrobot.eventbus.EventBus
import org.greenrobot.eventbus.Subscribe
import org.greenrobot.eventbus.ThreadMode

/**
 *
 * Created by wangdong on 16/11/29.
 */

@LayoutId(R.layout.activity_visa_result)
class VisaResultActivity : BindingActivity<VisaResultViewModel, ActivityVisaResultBinding>() {

    private var cond: String? = null

    override fun createViewModel(): VisaResultViewModel {
        val bean = intent.getParcelableExtra<VisaResultBean>(CBundle.BEAN)
        return VisaResultViewModel(this, bean, cond)
    }

    @Subscribe(threadMode = ThreadMode.MAIN, sticky = true)
    fun onPassCond(event: VisaCondEvent) {
        cond = event.cond
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        EventBus.getDefault().post(VisaFinishEvent())
    }

    companion object {

        fun start2(activity: Activity, data: VisaResultBean) {
            val intent = Intent(activity, VisaResultActivity::class.java)
            intent.putExtra(CBundle.BEAN, data)
            activity.startActivity(intent)
        }
    }
}
