package com.lvwan.mobile110.activity

import android.os.Bundle
import android.text.InputFilter
import android.text.method.DigitsKeyListener
import com.common.activity.BindingActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.databinding.ActivityWzcxAddBinding
import com.lvwan.mobile110.entity.event.CarTransFinishEvent
import com.lvwan.mobile110.entity.event.WZCXEvent
import com.lvwan.mobile110.stat.Action
import com.lvwan.mobile110.stat.ActionId
import com.lvwan.mobile110.stat.Module
import com.lvwan.mobile110.stat.ModuleId
import com.lvwan.mobile110.viewmodel.WZCXAddViewModel
import com.lvwan.util.DialogUtils
import com.lvwan.util.ToastUtils
import kotlinx.android.synthetic.main.activity_wzcx_add.*
import org.greenrobot.eventbus.Subscribe
import org.jetbrains.anko.onClick

/**
 *
 * Created by wangdong on 17/5/11.
 */

@ModuleId(Module.WZCX)
@ActionId(Action.WZCX)
@LayoutId(R.layout.activity_wzcx_add)
class WZCXAddActivity : BindingActivity<WZCXAddViewModel, ActivityWzcxAddBinding>() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val filters = arrayOfNulls<InputFilter>(2)
        filters.set(0, InputFilter.AllCaps())
        filters.set(1, DigitsKeyListener.getInstance(getString(R.string.up_letter_digits)))
        car_num_text.filters = filters
        car_id_card_num.filters = filters
        car_vin_num.filters = filters
        car_engine_num.filters = filters

        car_help.onClick { showTip() }
    }

    override fun createViewModel(): WZCXAddViewModel {
        val bind = intent.getBooleanExtra(CBundle.CAR_BIND, true)
        return WZCXAddViewModel(this, bind)
    }

    fun showTip() {
        ToastUtils.getInstance().showToast(getString(R.string.wzcx_tip_content))
    }

    @Subscribe
    fun onRrefresh(event: CarTransFinishEvent) {
        finish()
    }



}
