package com.lvwan.mobile110.fragment

import android.graphics.Bitmap
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView

import com.common.fragment.TFragment
import com.common.task.MultiTaskManager
import com.common.task.RTask
import com.lvwan.mobile110.R
import com.lvwan.mobile110.activity.HomeActivity
import com.lvwan.mobile110.activity.WebActivity
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.entity.bean.ActivityBean
import com.nostra13.universalimageloader.core.ImageLoader
import kotlinx.android.synthetic.main.fragment_advertising.*

import java.util.concurrent.TimeUnit

import rx.Observable
import rx.android.schedulers.AndroidSchedulers


/**
 * Created by wangdong on 16/11/3.
 */

class AdvertisingFragment : TFragment() {

    override fun newView(inflater: LayoutInflater, container: ViewGroup): View {
        return inflater.inflate(R.layout.fragment_advertising, container, false)
    }

    override fun onActivityCreated(savedInstanceState: Bundle?) {
        super.onActivityCreated(savedInstanceState)
        val imageUrl = arguments.getString(CBundle.URL)
        val bean = arguments.getParcelable<ActivityBean>(CBundle.SHARE)
        MultiTaskManager.execute(object : RTask<Bitmap>() {
            override fun run(): Bitmap {
                return ImageLoader.getInstance().loadImageSync(imageUrl)
            }

            override fun result(bitmap: Bitmap) {
                if (advertising_iv != null) {
                    advertising_iv.setImageBitmap(bitmap)
                    advertising_background!!.visibility = View.VISIBLE
                }
            }
        })

        advertising_iv.setOnClickListener {
            WebActivity.start(activity, bean)
            Observable.timer(1, TimeUnit.SECONDS).observeOn(AndroidSchedulers.mainThread()).subscribe { onClose() }
        }

        advertising_close.setOnClickListener {
            onClose()
        }

    }


    fun onClose() {
        if (view != null) {
            (activity as HomeActivity).removeAdFragment()
        }
    }
}
