package com.lvwan.mobile110.fragment

import android.os.Bundle
import android.support.v7.widget.RecyclerView
import android.view.View

import com.common.annotation.LayoutId
import com.common.fragment.BindingFragment
import com.lvwan.mobile110.R
import com.lvwan.mobile110.databinding.FragmentGuideBusinessBinding
import com.lvwan.mobile110.entity.event.GuideBusinessEvent
import com.lvwan.mobile110.viewmodel.GuideBusinessViewModel
import com.lvwan.util.J
import kotlinx.android.synthetic.main.fragment_guide_business.*

import org.greenrobot.eventbus.Subscribe

/**
 * Created by wangdong on 16/12/5.
 */

@LayoutId(R.layout.fragment_guide_business)
class GuideBusinessFragment : BindingFragment<GuideBusinessViewModel, FragmentGuideBusinessBinding>() {


    @Subscribe
    fun onShowMore(event: GuideBusinessEvent) {
        viewModel.showMore(event.position)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        guide_business_recyclerview.addOnScrollListener(object : RecyclerView.OnScrollListener() {
            override fun onScrollStateChanged(recyclerView: RecyclerView?, newState: Int) {
                super.onScrollStateChanged(recyclerView, newState)
                if (newState == RecyclerView.SCROLL_STATE_IDLE) {
                    if (isSlideToBottom(guide_business_recyclerview)) {
                        viewModel.feedMore()
                    }
                }
            }
        })

    }

    companion object {

        val TAG = GuideBusinessFragment::class.simpleName

        fun isSlideToBottom(recyclerView: RecyclerView?): Boolean {
            if (recyclerView == null) return false
            return recyclerView.computeVerticalScrollExtent() + recyclerView.computeVerticalScrollOffset() >= recyclerView.computeVerticalScrollRange()
        }
    }
}
