package com.lvwan.mobile110.fragment

import com.common.annotation.LayoutId
import com.common.fragment.BindingFragment
import com.lvwan.mobile110.R
import com.lvwan.mobile110.activity.GovGuideActivty
import com.lvwan.mobile110.activity.GuideDetailActivity
import com.lvwan.mobile110.databinding.FragmentGuideDepartmentBinding
import com.lvwan.mobile110.entity.bean.GuideDetailBean
import com.lvwan.mobile110.viewmodel.GuideDepartmentViewModel

/**
 * Created by wangdong on 16/12/5.
 */

@LayoutId(R.layout.fragment_guide_department)
class GuideDepartmentFragment : BindingFragment<GuideDepartmentViewModel, FragmentGuideDepartmentBinding>() {

    var area: String? = null

    override fun createViewModel(): GuideDepartmentViewModel {
        val city = (activity as GovGuideActivty).city
        return GuideDepartmentViewModel(this, city)
    }

    override fun onHiddenChanged(hidden: Boolean) {
        super.onHiddenChanged(hidden)
        if (!hidden && viewModel != null) {
            viewModel.request(area)
        }
    }

    fun setCity(area: String?) {
        this.area = area
    }

    companion object {

        val TAG = GuideDepartmentFragment::class.simpleName
    }
}
