package com.lvwan.mobile110.fragment

import android.graphics.Color
import android.graphics.drawable.ColorDrawable
import android.os.Bundle
import android.support.v7.widget.DividerItemDecoration
import android.view.View

import com.common.annotation.LayoutId
import com.common.fragment.BindingFragment
import com.lvwan.mobile110.R
import com.lvwan.mobile110.databinding.FragmentGuideResultBinding
import com.lvwan.mobile110.viewmodel.GuideResultViewModel
import kotlinx.android.synthetic.main.fragment_guide_more.*

/**
 * Created by wangdong on 16/12/5.
 */

@LayoutId(R.layout.fragment_guide_result)
class GuideResultFragment : BindingFragment<GuideResultViewModel, FragmentGuideResultBinding>() {

    internal var request: Boolean = false

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        val drawable = object : ColorDrawable(Color.TRANSPARENT) {

            override fun getIntrinsicHeight(): Int {
                return 1
            }
        }
        val decoration = DividerItemDecoration(activity, DividerItemDecoration.VERTICAL)
        decoration.setDrawable(drawable)
        guide_more_recyclerView.addItemDecoration(decoration)
    }

    fun setParams(area: String?, cond: String?, department: String?, target: String?, workTheme: String?) {
        viewModel.setParams(area, cond, department, target, workTheme)
        request = false
    }

    fun requestList() {
        request = true
        if (viewModel != null) {
            viewModel.requestList()
        }
    }

    override fun onHiddenChanged(hidden: Boolean) {
        if (!hidden && !request) {
            requestList()
        }
    }

    companion object {

        val TAG = GuideResultFragment::class.simpleName
    }
}
