package com.lvwan.mobile110.fragment

import android.os.Bundle
import android.support.v7.widget.LinearLayoutManager
import android.view.View

import com.common.adapter.LetterIndexAdapter
import com.common.annotation.LayoutId
import com.common.fragment.BindingFragment
import com.jiang.android.lib.adapter.expand.StickyRecyclerHeadersDecoration
import com.lvwan.mobile110.R
import com.lvwan.mobile110.databinding.FragmentGuideLocationBinding
import com.lvwan.mobile110.viewmodel.GuideLocationViewModel
import kotlinx.android.synthetic.main.fragment_guide_location.*

/**
 * Created by wangdong on 16/12/5.
 * 
 */

@LayoutId(R.layout.fragment_guide_location)
class LocationFragment : BindingFragment<GuideLocationViewModel, FragmentGuideLocationBinding>() {

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        val adapter = viewModel.getAdapter()
        val headersDecor = StickyRecyclerHeadersDecoration(adapter)
        guide_loc_recyclerView.addItemDecoration(headersDecor)
        guide_loc_sidebar.setTextView(guide_loc_dialog)
        guide_loc_sidebar.setOnTouchingLetterChangedListener { s ->
            val position = adapter.getPositionForSection(s[0])
            val manager = guide_loc_recyclerView.layoutManager as LinearLayoutManager
            manager.scrollToPositionWithOffset(position + 1, 0)
        }


    }

    companion object {

        val TAG = LocationFragment::class.simpleName
    }
}
