package com.lvwan.mobile110.fragment

import android.os.Bundle
import android.view.View

import com.common.annotation.LayoutId
import com.common.fragment.BindingFragment
import com.lvwan.mobile110.R
import com.lvwan.mobile110.constant.CBundle
import com.lvwan.mobile110.databinding.FragmentMovecarTryoutBinding
import com.lvwan.mobile110.viewmodel.MoveCarTryoutViewModel

/**
 *
 * Created by wangdong on 16/8/2.
 */

@LayoutId(R.layout.fragment_movecar_tryout)
class MoveCarTryoutFragment : BindingFragment<MoveCarTryoutViewModel, FragmentMovecarTryoutBinding>() {

    override fun onActivityCreated(savedInstanceState: Bundle?) {
        super.onActivityCreated(savedInstanceState)
        setViewLocation(arguments.getInt(CBundle.TOP), arguments.getInt(CBundle.BOTTOM))
    }

    fun setViewLocation(top: Int, bottom: Int) {
        viewModel.setTopBottom(top, bottom)
    }

    fun setTipVisible(visible: Boolean) {
        viewModel.setTipVisible(visible)
    }

    fun nextAction(index: Int) {
        viewModel.nextAction(index)
    }

    fun hide() {
        if (view != null) {
            view!!.visibility = View.GONE
        }
    }
}
