package com.lvwan.mobile110.viewholder

import android.view.View
import android.view.ViewGroup.LayoutParams.WRAP_CONTENT
import android.widget.TextView
import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.event.GuardSetEvent
import com.lvwan.mobile110.viewmodel.GuardAddrViewModel
import kotlinx.android.synthetic.main.viewholder_guard_addr_header.view.*
import org.greenrobot.eventbus.EventBus
import org.jetbrains.anko.onClick

/**
 *
 * Created by wangdong on 17/3/3.
 */

@LayoutId(R.layout.viewholder_guard_addr_header)
class GuardAddrHeaderViewHolder(view : View) : BaseViewHolder<GuardAddrViewModel.GuardAddrWrapper>(view) {



    init {

        view.guard_home_addr_btn.onClick { EventBus.getDefault().post(GuardSetEvent(true)) }
        view.guard_company_addr_btn.onClick { EventBus.getDefault().post(GuardSetEvent(false)) }
    }

    override fun bindView(wrapper: GuardAddrViewModel.GuardAddrWrapper) {
        val data = wrapper.bean

        // fill
        data?.home?.let { view.guard_home_addr.text = it }
        data?.company?.let { view.guard_company_addr.text = it }

        // visibility
        view.layoutParams.height = if(wrapper.visible) WRAP_CONTENT else 0
        view.requestLayout()

    }

}