package com.lvwan.mobile110.viewholder

import android.text.TextUtils
import android.view.View
import android.widget.TextView

import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.activity.GuideDetailActivity
import com.lvwan.mobile110.entity.event.GuideBusinessEvent
import com.lvwan.mobile110.viewmodel.GuideBusinessViewModel
import kotlinx.android.synthetic.main.viewholder_guide_business_inner.view.*

import org.greenrobot.eventbus.EventBus


/**
 *
 * Created by wangdong on 16/12/8.
 */

@LayoutId(R.layout.viewholder_guide_business_inner)
class GuideBusinessInnerViewHolder(itemView: View) : BaseViewHolder<GuideBusinessViewModel.Item>(itemView) {

    internal var content1: TextView? = null

    internal var content2: TextView? = null

    internal var more: View? = null

    init {
        content1 = itemView.guide_business_content1
        content2 = itemView.guide_business_content2
        more = itemView.guide_business_more
    }

    override fun bindView(data: GuideBusinessViewModel.Item) {}

    override fun bindView(data: GuideBusinessViewModel.Item, position: Int) {
        content1?.text = data.content1
        content2?.text = data.content2
        content2?.visibility = if (!data.more) View.VISIBLE else View.GONE
        more?.visibility = if (data.more) View.VISIBLE else View.GONE

        if (data.more) {
            more?.setOnClickListener { EventBus.getDefault().post(GuideBusinessEvent(position)) }
        } else {
            more?.setOnClickListener(null)
        }

        content1?.setOnClickListener { GuideDetailActivity.start(context, data.guideId1!!) }

        if (!TextUtils.isEmpty(data.guideId2)) {
            content2?.setOnClickListener { GuideDetailActivity.start(context, data.guideId2!!) }
        } else {
            content2?.setOnClickListener(null)
        }

    }
}
