package com.lvwan.mobile110.viewholder

import android.support.v4.content.ContextCompat
import android.view.View
import android.widget.TextView
import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.viewmodel.GuideDepartmentViewModel
import kotlinx.android.synthetic.main.viewholder_guide_department.view.*


/**
 *
 * Created by wangdong on 16/12/4.
 */

@LayoutId(R.layout.viewholder_guide_department)
class GuideDepartmentViewHolder(itemView: View) : BaseViewHolder<GuideDepartmentViewModel.Item>(itemView) {

    internal var gray3: Int = 0

    internal var green: Int = 0
    internal var department: TextView? = null


    init {
        gray3 = ContextCompat.getColor(context, R.color.gray3)
        green = ContextCompat.getColor(context, R.color.green)
    }

    override fun bindView(data: GuideDepartmentViewModel.Item) {
        itemView.guide_department_tv.text = data.item
        itemView.guide_department_tv.setTextColor(if (data.selected) green else gray3)
        itemView.index_divider.visibility = if (first) View.GONE else View.VISIBLE
    }

}