package com.lvwan.mobile110.viewholder

import android.support.v4.content.ContextCompat
import android.view.View
import android.widget.TextView
import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.event.GuideQueryEvent
import org.greenrobot.eventbus.EventBus
import java.util.*


/**
 *
 * Created by wangdong on 16/12/4.
 */

@LayoutId(R.layout.viewholder_guide_more_header)
class GuideMoreHeaderViewHolder(itemView: View) : BaseViewHolder<Any>(itemView) {


    internal var views = ArrayList<TextView>()

    internal var gray3: Int = 0

    internal var green: Int = 0

    private var selectId: Int = 0

    init {

        gray3 = ContextCompat.getColor(context, R.color.gray3)
        green = ContextCompat.getColor(context, R.color.green)

        val guide_more_tv1 = itemView.findViewById(R.id.guide_more_tv1) as TextView
        val guide_more_tv2 = itemView.findViewById(R.id.guide_more_tv2) as TextView
        val guide_more_tv3 = itemView.findViewById(R.id.guide_more_tv3) as TextView

        views.add(guide_more_tv1)
        views.add(guide_more_tv2)
        views.add(guide_more_tv3)

        guide_more_tv1.setOnClickListener { onSelectType(guide_more_tv1) }
        guide_more_tv2.setOnClickListener { onSelectType(guide_more_tv2) }
        guide_more_tv3.setOnClickListener { onSelectType(guide_more_tv3) }
    }

    override fun bindView(data: Any?) {
    }

    fun onSelectType(view: TextView) {

        val event = GuideQueryEvent(GuideQueryEvent.TYPE_TARGET)

        for (tv in views) {
            tv.setTextColor(gray3)
        }

        if (selectId == view.id) {
            selectId = 0
            event.target = null
        } else {
            selectId = view.id
            view.setTextColor(green)
            event.target = view.text.toString()
            if (selectId == R.id.guide_more_tv1) {
                event.invalid = true
            }
        }

        EventBus.getDefault().post(event)

    }


}
