package com.lvwan.mobile110.viewholder

import android.support.v4.content.ContextCompat
import android.view.View
import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.viewmodel.GuideMoreViewModel
import kotlinx.android.synthetic.main.viewholder_guide_more.view.*


/**
 *
 * Created by wangdong on 16/12/4.
 */

@LayoutId(R.layout.viewholder_guide_more)
class GuideMoreViewHolder(itemView: View) : BaseViewHolder<GuideMoreViewModel.Item>(itemView) {

    internal var gray3: Int = 0

    internal var green: Int = 0


    init {
        gray3 = ContextCompat.getColor(context, R.color.gray3)
        green = ContextCompat.getColor(context, R.color.green)
    }

    override fun bindView(data: GuideMoreViewModel.Item) {
        itemView.guide_more_tv.text = data.theme
        itemView.guide_more_tv.setTextColor(if (data.selected) green else gray3)
    }


}