package com.lvwan.mobile110.viewholder

import android.support.v4.content.ContextCompat
import android.view.View
import com.common.adapter.BaseViewHolder
import com.common.adapter.LetterIndexAdapter
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import kotlinx.android.synthetic.main.viewholder_index_area.view.*


/**
 *
 * Created by wangdong on 16/12/4.
 */

@LayoutId(R.layout.viewholder_index_area)
class IndexAreaViewHolder(itemView: View) : BaseViewHolder<LetterIndexAdapter.Letter>(itemView) {

    internal var gray3: Int = 0

    internal var green: Int = 0

    init {
        gray3 = ContextCompat.getColor(context, R.color.gray3)
        green = ContextCompat.getColor(context, R.color.green)
    }

    override fun bindView(data: LetterIndexAdapter.Letter) {
        itemView.index_area.text = data.name
        itemView.index_area.setTextColor(if (data.selected) green else gray3)
        itemView.index_divider.visibility = if (first) View.GONE else View.VISIBLE
    }

}