package com.lvwan.mobile110.viewmodel

import android.content.Context
import android.databinding.ObservableField
import android.databinding.ObservableInt
import android.view.View
import android.widget.TextView

import com.baidu.location.BDLocation
import com.common.net.HttpSuccessListener
import com.common.viewmodel.BaseViewModel
import com.lvwan.mobile110.entity.event.GuideQueryEvent
import com.lvwan.mobile110.net.RequestManager
import com.lvwan.util.LocationUtil
import kotlinx.android.synthetic.main.fragment_home.*

import org.greenrobot.eventbus.EventBus

/**
 *
 * Created by wangdong on 16/12/5.
 */

class GuideHeaderViewModel(context: Context) : BaseViewModel(context) {

    var location = ObservableField<String>()

    var hot0 = ObservableField<String>()

    var hot1 = ObservableField<String>()

    var hot2 = ObservableField<String>()

    var select = ObservableInt(-1)


    init {
        val dblocation = LocationUtil.getInstance().location
        if (dblocation != null) {
            location.set(dblocation.city)
        }

        RequestManager.instance().getGuideHotArea { strings ->
            if (strings != null) {
                if (strings.size > 0) {
                    hot0.set(strings[0])
                }
                if (strings.size > 1) {
                    hot1.set(strings[1])
                }
                if (strings.size > 2) {
                    hot2.set(strings[2])
                }
            }
        }

    }

    fun onSelectArea(index: Int) {
        val event = GuideQueryEvent(GuideQueryEvent.TYPE_AREA)
        if (select.get() == index) {
            select.set(-1)
            event.area = null
        } else {
            select.set(index)
            when (index) {
                0 -> event.area = location.get()
                1 -> event.area = hot0.get()
                2 -> event.area = hot1.get()
                3 -> event.area = hot2.get()
            }
        }
        EventBus.getDefault().post(event)
    }

    fun onRefresh() {
        registerLocation(true)
        LocationUtil.getInstance().requestLocation();
    }

    fun registerLocation(register: Boolean) {
        if (register) {
            LocationUtil.getInstance().registerLocationListener(locationListener)
        } else {
            LocationUtil.getInstance().unRegisterLocationListener(locationListener)
        }
    }

    val locationListener = { locationType: LocationUtil.LocationType, bdLocation: BDLocation? ->
        if (locationType == LocationUtil.LocationType.Succeed) {
            location.set(bdLocation?.city)
        }
        registerLocation(false)
    }

}
