package com.lvwan.mobile110.viewmodel

import android.content.ClipData
import android.content.ClipboardManager
import android.content.Context
import android.databinding.ObservableBoolean
import android.databinding.ObservableField
import android.support.v7.widget.RecyclerView

import com.common.adapter.BaseAdapter
import com.common.viewmodel.FragmentViewModel
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.bean.GuideDetailBean.Material
import com.lvwan.mobile110.fragment.GuideDetailLinkFragment
import com.lvwan.mobile110.viewholder.GuideLinkItemViewHolder
import com.lvwan.util.DialogUtils


/**
 *
 * Created by wangdong on 16/12/9.
 */

class GuideLinkViewModel(fragment: GuideDetailLinkFragment, private val meterials: List<Material>?) : FragmentViewModel<GuideDetailLinkFragment>(fragment) {

    var adapter = ObservableField<BaseAdapter<Material>>()

    var enable = ObservableBoolean()


    init {
        enable.set(meterials != null && meterials.isNotEmpty())
        adapter.set(BaseAdapter(meterials) { GuideLinkItemViewHolder::class.java })
    }

    fun onCopy() {
        val builder = StringBuilder()
        if (meterials != null) {
            for (material in meterials) {
                builder.append(material.meterial)
                builder.append(material.meterialLink)
            }
        }
        val cmb = activity.getSystemService(Context.CLIPBOARD_SERVICE) as ClipboardManager
        val clipData = ClipData.newPlainText("", builder.toString())
        cmb.primaryClip = clipData
        DialogUtils.showSimpleDialog2(activity, resources.getString(R.string.guide_clip), null)
    }


}
