package com.lvwan.mobile110.viewmodel

import android.content.Context
import android.databinding.ObservableBoolean
import com.common.viewmodel.ViewHolderViewModel
import com.lvwan.mobile110.activity.CommonScanActivity
import com.lvwan.mobile110.activity.WebActivity
import com.lvwan.mobile110.net.VarUrls
import com.lvwan.util.startActivity

/**
 *
 * Created by wangdong on 16/8/26.
 */

class ImmigrationHeaderViewModel(context: Context) : ViewHolderViewModel<Any>(context) {

    val orderEnable = ObservableBoolean()

    val payEnable = ObservableBoolean()

    val formEnable = ObservableBoolean()

    val guideEnable = ObservableBoolean()

    val refundEnable = ObservableBoolean()

    init {
        VarUrls.IMMI_ORDER?.isShown?.let { orderEnable.set(it) }
        VarUrls.IMMI_PAY?.isShown?.let { payEnable.set(it) }
        VarUrls.IMMI_FORM?.isShown?.let { formEnable.set(it) }
        VarUrls.IMMI_GUIDE?.isShown?.let { guideEnable.set(it) }
        VarUrls.IMMI_REFUND?.isShown?.let { refundEnable.set(it) }

    }


    fun onClickVisa() {
        WebActivity.start(context, VarUrls.IMMI_VISA?.url)
    }

    fun onClickOrder() {
        if (orderEnable.get()) {
            WebActivity.start(context, VarUrls.IMMI_ORDER?.url)
        }
    }

    fun onClickQuery() {
        WebActivity.start(context, VarUrls.IMMI_QUERY?.url)
    }

    fun onClickPay() {
        if (payEnable.get()) {
            startActivity<CommonScanActivity>()
        }
    }

    fun onClickForm() {
        if (formEnable.get()) {
            WebActivity.start(context, VarUrls.IMMI_FORM?.url)
        }
    }

    fun onClickGuide() {
        if (guideEnable.get()) {
            WebActivity.start(context, VarUrls.IMMI_GUIDE?.url)
        }
    }

    fun onClickRefund() {
        if (refundEnable.get()) {
            WebActivity.start(context, VarUrls.IMMI_REFUND?.url)
        }
    }


    override fun refresh(data: Any) { }


}
