package com.lvwan.mobile110.widget

import android.app.Activity
import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.TextView
import com.lvwan.mobile110.R
import com.lvwan.mobile110.activity.WebActivity
import com.lvwan.mobile110.entity.bean.IconsInfoBean
import com.lvwan.mobile110.helper.SchemeHelper
import com.lvwan.mobile110.manager.UserManager
import com.lvwan.mobile110.stat.Action
import com.lvwan.mobile110.stat.ActionTracker
import com.lvwan.mobile110.stat.Module
import com.lvwan.util.ImageUtils
import com.lvwan.util.PreferenceHelper
import kotlinx.android.synthetic.main.home_icons_item.view.*
import org.jetbrains.anko.onClick

/**
 *
 * Created by wangdong on 17/4/17.
 */

class IconLayout(context: Context, attrs: AttributeSet) : LinearLayout(context, attrs) {

    var clickFromHome = false

    var clickFromMore = false

    init {
        orientation = LinearLayout.VERTICAL
    }

    fun setIconsInfo(activity: Activity, icons: List<IconsInfoBean.Icon>, home: Boolean) {
        var idx = 0

        var group: ViewGroup? = null
        for (icon in icons) {
            val mod = idx % 4
            if (mod == 0) {
                View.inflate(context, R.layout.home_icons_item, this)
                group = getChildAt(childCount - 1).icons_item as LinearLayout
                if (idx == 0) {
                    val params = group.layoutParams as MarginLayoutParams
                    params.topMargin = 0
                    group.requestLayout()
                }
            }
            val linear = group!!.getChildAt(mod) as LinearLayout
            val imageView = linear.getChildAt(0) as ImageView
            val textView = linear.getChildAt(1) as TextView
            ImageUtils.displayImage(icon.icon_url, imageView)
            textView.text = icon.icon_title
            linear.visibility = View.VISIBLE
            when (icon.action_type) {
                0 -> linear.onClick {
                    SchemeHelper.action(activity, icon.action_url)
                    // wzcx tracker
                    if (!UserManager.isLogin() && SchemeHelper.isWZCXList(icon.action_url)) {
                        if (home) {
                            if (PreferenceHelper.firstWZCXFromHome()) {
                                PreferenceHelper.setWZCXFromHome()
                                ActionTracker.trackAction(Module.HOME, Action.HOME_WZCX_UNLOGIN)
                                clickFromHome = true
                            }
                        } else {
                            if (PreferenceHelper.firstWZCXFromMore()) {
                                PreferenceHelper.setWZCXFromMore()
                                ActionTracker.trackAction(Module.MORE, Action.MORE_WZCX_UNLOGIN)
                                clickFromMore = true
                            }
                        }
                    }
                }
                1 -> linear.onClick { WebActivity.start(activity, icon.action_url) }
            }
            idx++



        }

    }

}
